C=======MULTIPLICATION OF MATRICES======
      SUBROUTINE MULMA1(NC,N1,S,B,B1)
      REAL*8 S(N1,N1),B(N1,NC),B1(N1,NC),A
      DO 1 JN=1,NC
         DO 2 I=1,N1
            A=0.0D 00
            DO 3 J=1,N1
    3          A=A+S(I,J)*B(J,JN)
    2       B1(I,JN)=A
    1    CONTINUE
      RETURN
      END
